<?php return array(
  // Meta
  '_meta' => array(
    'name' => 'activity',
    'version' => '4.0.0',
  ),

  // Hooks ---------------------------------------------------------------------
  'hooks' => array(
    array(
      'event' => 'onApplicationModeComet',
      'resource' => 'Activity_Plugin_Comet'
    ),
    array(
      'event' => 'getActivity',
      'resource' => 'Activity_Plugin_Core',
    ),
    array(
      'event' => 'addActivity',
      'resource' => 'Activity_Plugin_Core',
    ),
    array(
      'event' => 'onItemDeleteBefore',
      'resource' => 'Activity_Plugin_Core',
    ),
  ),
  // Items ---------------------------------------------------------------------
  'items' => array(
    'activity_action',
    'activity_notification',
  ),
  // Routes --------------------------------------------------------------------
  'routes' => array(
    'activity_admin_settings_general' => array(
      'route' => 'admin/settings/activity/',
      'defaults' => array(
        'module' => 'activity',
        'controller' => 'admin-settings',
        'action' => 'general'
      )
    ),
    'recent_activity' => array(
      'route' => 'activity/notifications/',
      'defaults' => array(
        'module' => 'activity',
        'controller' => 'notifications',
      )
    )
  )
) ?>