<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Announcement
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Announcement.php 4976 2010-04-13 22:34:49Z john $
 * @author     John Boehr <j@webligo.com>
 */

/**
 * @category   Application_Core
 * @package    Announcement
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class Announcement_Model_Announcement extends Core_Model_Item_Abstract
{
  protected $_parent_type = 'user';

  protected $_owner_type = 'user';

  public function getHref($params = array())
  {
    return 'bleh';
  }

  protected function _update()
  {
    if( !empty($this->_modifiedFields['title']) || !empty($this->_modifiedFields['body']) ) {
      $this->modified_date = new Zend_Db_Expr('NOW()');
    }
    parent::_update();
  }
}