<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Announcements
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: index.tpl 4985 2010-04-13 23:42:55Z alex $
 * @author     Sami
 */
?>

<ul class="announcements">
  <?php foreach( $this->announcements as $item ): ?>
    <li>
      <div class="announcements_title">
        <?php echo $item->title ?>
      </div>
      <div class="announcements_info">
        <span class="announcements_author">
          <?php echo $this->translate('By %s,', $this->htmlLink($item->getOwner()->getHref(), $item->getOwner()->getTitle())) ?>
        </span>
        <span class="announcements_date">
          <?php echo $this->timestamp($item->creation_date) ?>
        </span>
      </div>
      <div class="announcements_body">
        <?php echo $item->body ?>
      </div>
    </li>
  <?php endforeach; ?>
</ul>
