<?php

class Core_Model_Api extends Engine_Application_Module_Api
{
  public function __call($method, array $args)
  {
    $api = Engine_Api::_()->getApi('core', 'core');
    if( method_exists($api, $method) )
    {
      //trigger_error("Moved", E_USER_NOTICE);
      $r = new ReflectionMethod($api, $method);
      return $r->invokeArgs($api, $args);
    }
    else
    {
      throw new Exception('method not exist');
    }
  }
}
