<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: _composeLink.tpl 5641 2010-05-12 00:09:05Z john $
 * @author     John
 */
?>

<?php $this->headScript()->appendFile('application/modules/Core/externals/scripts/composer_link.js') ?>

<script type="text/javascript">
  en4.core.runonce.add(function() {
    composeInstance.addPlugin(new Composer.Plugin.Link({
      title: '<?php echo $this->translate('Add Link') ?>',
      lang : {
        'cancel' : '<?php echo $this->translate('cancel') ?>',
        'Last' : '<?php echo $this->translate('Last') ?>',
        'Next' : '<?php echo $this->translate('Next') ?>',
        'Attach' : '<?php echo $this->translate('Attach') ?>',
        'Loading...' : '<?php echo $this->translate('Loading...') ?>',
        'Don\'t show an image' : '<?php echo $this->string()->escapeJavascript($this->translate('Don\'t show an image')) ?>',
        'Choose Image:' : '<?php echo $this->translate('Choose Image:') ?>',
        '%d of %d' : '<?php echo $this->translate('%d of %d') ?>'
      },
      requestOptions : {
        'url' : '<?php echo $this->baseUrl().'/index.php/core/link/preview' ?>'
      }
    }));
  });
</script>