<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: index.tpl 5505 2010-05-08 19:38:55Z shaun $
 */
?>

<h2><?php echo $this->translate("Language Manager") ?></h2>
<p>
		<?php echo $this->translate("CORE_VIEWS_SCRIPTS_ADMINLANGUAGE_INDEX_DESCRIPTION") ?>
</p>

<br />

<div class="admin_language_options">
  <a href="<?php echo $this->url(array('action' => 'create')) ?>" class="buttonlink admin_language_options_new"><?php echo $this->translate("Create New Pack") ?></a>
  <a href="<?php echo $this->url(array('action' => 'upload')) ?>" class="buttonlink admin_language_options_upload"><?php echo $this->translate("Upload New Pack") ?></a>
</div>

<br />

<table class="admin_table admin_languages">
  <thead>
    <tr>
      <th><?php echo $this->translate("Language") ?></th>
      <th><?php echo $this->translate("Options") ?></th>
    </tr>
  </thead>
  <tbody>
    <?php foreach( $this->languageNameList as $locale => $translatedLanguageTitle ): ?>
      <tr>
        <td>
          <?php echo $translatedLanguageTitle ?>
        </td>
        <td class="admin_table_options">
          <a href="<?php echo $this->url(array('action' => 'edit', 'locale' => $locale)) ?>"><?php echo $this->translate("edit phrases") ?></a>
          | <a href="<?php echo $this->url(array('action' => 'export', 'locale' => $locale)) ?>"><?php echo $this->translate("export") ?></a>
          <?php if( $this->defaultLanguage != $locale ): ?>
            | <?php echo $this->htmlLink(array('module'=>'core','controller'=>'language','action'=>'default', 'locale'=>$locale), 'make default') ?>
            | <?php echo $this->htmlLink(array('module'=>'core','controller'=>'language','action'=>'delete',  'locale'=>$locale), 'delete', array('class'=>'smoothbox')) ?>
          <?php else: ?>
            | <?php echo $this->translate("default") ?>
          <?php endif; ?>
          
        </td>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>
