<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: index.tpl 5703 2010-05-12 08:29:07Z john $
 */
?>

<script type="text/javascript">
  var tabContainerSwitch = function(element) {
    element = element.getParent('li');
    var myContainer = element.getParent('div').getParent();
    var parentList = element.getParent('ul');
    var listItems = parentList.getElements('li');
    listItems.each(function(otherElement){
      otherElement.removeClass('active');
      var contentClass = otherElement.get('class').replace('generic_layout_container', '').trim().replace('tab_', '');
      //alert(element.get('class') + ' == ' + otherElement.get('class'));
      var contentContainer = myContainer.getElement('.' + contentClass);
      if( element.get('class') == otherElement.get('class') ) {
        otherElement.addClass('active');
        contentContainer.setStyle('display', '');
      } else {
        contentContainer.setStyle('display', 'none');
      }
    });
  }

  var tabContainerSwitchMore = function(element, tab){
    //element = element.getParent('li');
    //var myContainer = element.getParent('div').getParent();
    var myContainer = document.getElementById('tabs_parent').getParent();
    var parentList = element.getParent('ul');
    var listItems = parentList.getElements('li');
    listItems.each(function(otherElement){
      otherElement.removeClass('active');
      var contentClass = otherElement.get('class').replace('generic_layout_container', '').trim().replace('tab_', '');
      //alert(element.get('class') + ' == ' + otherElement.get('class'));
      var contentContainer = myContainer.getElement('.' + contentClass);
      if( element.get('class') == otherElement.get('class') ) {
        otherElement.addClass('active');
        contentContainer.setStyle('display', '');
      } else {
        contentContainer.setStyle('display', 'none');
      }
    });
    // disable main tab active tabs
    var parentList = document.getElementById('main_tabs');
    var listItems = parentList.getElements('li');
    listItems.each(function(otherElement){
      otherElement.removeClass('active');
    });
  }
</script>

<div class='tabs_alt' id='tabs_parent'>
  <ul id='main_tabs'>
    <?php foreach( $this->tabs as $key => $tab ): ?>
      <?php
        $class = array();
        $class[] = 'tab_' . trim(str_replace('generic_layout_container', '', $tab['containerClass']));
        if( $this->activeTab == $tab['name'] ) $class[] = 'active';
        $class = join(' ', array_filter($class));
      ?>
      <?php if ($key < $this->max):?>
        <li class="<?php echo $class ?>"><a href="javascript:void(0);" onclick="tabContainerSwitch($(this), '<?php echo $tab['containerClass'] ?>');"><?php echo $this->translate($tab['title']) ?><?php if( !empty($tab['childCount']) ): ?><span>(<?php echo $tab['childCount'] ?>)</span><?php endif; ?></a></li>
      <?php else:?>
        <li class="<?php echo $class ?>" style="display:none"></li>
      <?php endif;?>
    <?php endforeach; ?>
    <?php if (count($this->tabs) > $this->max):?>
    <li class="tab_closed" onclick="if(this.className=='tab_closed'){this.className='tab_open';}else{this.className='tab_closed';}" id="more_tab">
      <div class="tab_pulldown_contents_wrapper">
        <div class="tab_pulldown_contents">
          <ul>
          <?php foreach( $this->tabs as $key => $tab ): ?>
            <?php
              $class = array();
              $class[] = 'tab_' . trim(str_replace('generic_layout_container', '', $tab['containerClass']));
              if( $this->activeTab == $tab['name'] ) $class[] = 'active';
              $class = join(' ', array_filter($class));
            ?>
            <?php if ($key >= $this->max):?>
              <li class="<?php echo $class ?>"onclick="tabContainerSwitchMore($(this), '<?php echo $tab['containerClass'] ?>');"><?php echo $this->translate($tab['title']) ?><?php if( !empty($tab['childCount']) ): ?><span> (<?php echo $tab['childCount'] ?>)</span><?php endif; ?></li>
            <?php else:?>
              <li class="<?php echo $class ?>" style="display:none"></li>
            <?php endif;?>
          <?php endforeach; ?>
          </ul>
        </div>
      </div>
      <a href="javascript:void(0);"><?php echo $this->translate('More +') ?><span></span></a>
    </li>
    <?php endif;?>
  </ul>
</div>

<?php echo $this->childrenContent ?>