<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Fields
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Option.php 4690 2010-03-30 02:02:34Z john $
 * @author     John Boehr <j@webligo.com>
 */

/**
 * @category   Application_Core
 * @package    Fields
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @author     John Boehr <j@webligo.com>
 */
class Fields_Model_Option extends Fields_Model_Abstract
{
  public function getFields()
  {
    return Engine_Api::_()->fields()
      ->getFieldsMeta($this->_type)
      ->getRowsMatching('parent_option_id', $this->option_id);
  }
}