<?php

class Fields_View_Helper_FieldOptions extends Zend_View_Helper_Abstract
{
  public function fieldOptions($subject, $field, $value)
  {
    $info = Engine_Api::_()->fields()->getFieldInfo($field->type, 'multiOptions');

    // Single
    if( is_object($value) )
    {
      if( isset($info[$value->value]) ) {
        return $info[$value->value];
      }
    }

    // Multi
    else if( is_array($value) )
    {
      $first = true;
      $content = '';
      foreach( $value as $sVal ) {
        if( !isset($info[$sVal->value]) ) continue;
        if( !$first ) $content .= ', ';
        $content .= $info[$sVal->value];
        $first = false;
      }
      return $content;
    }

    return '';
  }
}