<form method="get" id="music_filters" class="filters"
      action="<?php echo $this->url(array('sort'=>null,'page'=>null,'search'=>null), isset($this->params['user'])?'music_manage':'music_browse') ?>/1" >
  <dl>
    <dt>
      <?php echo $this->translate('Search Music') ?>
    </dt>
    <dd>
      <input type="text" name="search" id="music_search" value="<?php echo $this->params['search'] ?>">
    </dd>
    <dt>
      <?php echo $this->translate('Browse By') ?>
    </dt>
    <dd>
      <select name="sort" id="browse_music_by">
        <option value="recent"><?php echo $this->translate('Most Recent') ?></option>
        <option value="popular"><?php echo $this->translate('Most Popular') ?></option>
      </select>
    </dd>
  </dl>
</form>
<br />
<div class="quicklinks">
  <ul>
    <li>
      <?php echo $this->htmlLink(array('route' => 'music_create'), $this->translate('Upload Music'), array(
          'class' => 'buttonlink icon_music_new'
        )) ?>
    </li>
  </ul>
</div>
<script type="text/javascript">
//<![CDATA[
  var search_params = <?php echo Zend_Json::encode($this->params) ?>;
  en4.core.runonce.add(function(){
      if (search_params.sort) {
          $$('#browse_music_by option').each(function(option, index){
              if (option.get('value') == search_params.sort)
                  $('browse_music_by').selectedIndex = index;
          });
      }
      $('browse_music_by').addEvent('change', function(){
        doMusicFilter();
      });
      $('music_filters').addEvent('submit', function(event){
        event.stop();
        doMusicFilter();
      });
  });
  function doMusicFilter() {
    search_params.search = $('music_filters').getElement('input[name=search]').get('value');
    search_params.sort   = $('music_filters').getElement('select[name=sort]').getSelected()[0].get('value');
    search_params.url    = $('music_filters').get('action');

    if (search_params.sort && search_params.sort != 'recent')
        search_params.url += '/sort/'+encodeURIComponent(search_params.sort);
    if (search_params.search && search_params.search.length)
        search_params.url += '/search/'+encodeURIComponent(search_params.search);

    window.location.href = search_params.url;
  }
//]]>
</script>