<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Music
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: _composeMusic.tpl 3733 2010-02-17 03:08:54Z john $
 * @author     Sami
 */
?>

<?php
  $this->headScript()
    ->appendFile($this->baseUrl() . '/application/modules/Music/externals/soundmanager/script/soundmanager2.js')
    ->appendFile($this->baseUrl() . '/application/modules/Music/externals/scripts/core.js')
    ->appendFile($this->baseUrl() . '/application/modules/Music/externals/scripts/player.js')
    ->appendFile($this->baseUrl() . '/application/modules/Music/externals/scripts/composer_music.js')
    ->appendFile($this->baseUrl() . '/externals/fancyupload/Swiff.Uploader.js')
    ->appendFile($this->baseUrl() . '/externals/fancyupload/Fx.ProgressBar.js')
    ->appendFile($this->baseUrl() . '/externals/fancyupload/FancyUpload2.js')
?>

<script type="text/javascript">
  en4.core.runonce.add(function() {
    composeInstance.addPlugin(new Composer.Plugin.Music({
      title : '<?php echo $this->translate('Add Music') ?>',
      lang : {
        'Select File' : '<?php echo $this->translate('Select File') ?>',
        'cancel' : '<?php echo $this->translate('cancel') ?>',
        'Loading...' : '<?php echo $this->translate('Loading...') ?>',
        'Loading song, please wait...': '<?php echo $this->translate('Loading song, please wait...') ?>',
        'Unable to upload music. Please click cancel and try again': '<?php echo $this->translate('Unable to upload music. Please click cancel and try again') ?>',
        'Song got lost in the mail. Please click cancel and try again': '<?php echo $this->translate('Song got lost in the mail. Please click cancel and try again') ?>'
      },
      requestOptions : {
        'url'  : '<?php echo $this->baseUrl() . '/music/index/edit-add-song/playlist_id/-1/format/json?ul=1' ?>'
      },
      fancyUploadOptions : {
        'url'  : '<?php echo $this->baseUrl() . '/music/index/edit-add-song/playlist_id/-1/format/json?ul=1' ?>',
        'path' : '<?php echo $this->baseUrl() . '/externals/fancyupload/Swiff.Uploader.swf' ?>'
      }
    }));
  });
</script>
