<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    User
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: ExternalPhoto.php 3028 2010-01-27 09:47:12Z john $
 */

/**
 * @category   Application_Core
 * @package    User
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class User_Form_Edit_ExternalPhoto extends Engine_Form
{
  public function init()
  {
    $this
      ->setTitle('Make Profile Photo')
      ->setDescription('Do you want to make this photo your profile photo?')
      ;

    $this->addElement('Button', 'submit', array(
      'label' => 'Save',
      'type' => 'submit',
    ));

    $this->addElement('Button', 'cancel', array(
      'label' => 'Cancel',
      'onclick' => 'parent.Smoothbox.close();',
    ));
  }
}