<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Video
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: index.tpl 5557 2010-05-09 23:09:00Z shaun $
 * @author     Jung
 */
?>

<h2><?php echo $this->translate("Videos Plugin") ?></h2>

<?php if( count($this->navigation) ): ?>
  <div class='tabs'>
    <?php
      // Render the menu
      //->setUlClass()
      echo $this->navigation()->menu()->setContainer($this->navigation)->render()
    ?>
  </div>
<?php endif; ?>

<p>
  <?php echo $this->translate("VIDEO_VIEWS_SCRIPTS_ADMINMANAGE_INDEX_DESCRIPTION") ?>
</p>

<br />
    <?php if( count($this->paginator) ): ?>

<table class='admin_table'>
<thead>

  <tr>
    <th class='admin_table_short'><input type='checkbox' class='checkbox' /></th>

    <th class='admin_table_short'>ID</th>
    <th><?php echo $this->translate("Title") ?></th>
    <th><?php echo $this->translate("Owner") ?></th>
    <th><?php echo $this->translate("Views") ?></th>
    <th><?php echo $this->translate("Date") ?></th>
    <th><?php echo $this->translate("Options") ?></th>
  </tr>

</thead>
<tbody>
        <?php foreach ($this->paginator as $item): ?>

          <tr>
            <td><input type='checkbox' class='checkbox' value="<?php echo $item->video_id ?>"/></td>
            <td><?php echo $item->video_id ?></td>
            <td><?php echo $item->title ?></td>
            <td><?php echo $this->user($item->owner_id)->username ?></td>
            <td>1</td>
            <td><?php echo $item->creation_date ?></td>
            <td>
              <a href="<?php echo $this->url(array('user_id' => $item->owner_id, 'video_id' => $item->video_id), 'video_view') ?>">
                <?php echo $this->translate("view") ?>
              </a>
              |
              <?php echo $this->htmlLink(array('route' => 'default', 'module' => 'video', 'controller' => 'admin-manage', 'action' => 'delete', 'id' => $item->video_id), $this->translate('delete'), array(
                'class' => 'smoothbox',
              )) ?>
            </td>
          </tr>

            <?php endforeach; ?>
</tbody>
</table>
<br/>

<div class='browse_nextlast'>
  <?php echo $this->paginationControl($this->paginator); ?>
</div>

<?php else:?>
  <?php echo $this->translate("There are no videos posted by your members yet.") ?>
<?php endif; ?>
