<?php return array(
  array(
    'title' => 'HTML Block',
    'description' => 'Displays a preset block of HTML.',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.html-block',
    'special' => 1,
    'autoEdit' => true,
    'adminForm' => array(
      'elements' => array(
        array(
          'Textarea',
          'data',
          array(
            'label' => 'HTML'
          )
        ),
      )
    ),
  ),
  array(
    'title' => 'Ad Campaign',
    'description' => 'Displays a preset block of HTML.',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.ad-campaign',
   // 'special' => 1,
    'autoEdit' => true,
    'adminForm' => 'Core_Form_Admin_Widget_Ads',
  ),
  array(
    'title' => 'Tab Container',
    'description' => 'Displays a tab set. Blocks added to this will become a tab.',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.container-tabs',
    'defaultParams' => array(
      'max' => 6
    ),
    'canHaveChildren' => true,
    'childAreaDescription' => 'Drop blocks in here and each one will become a tab.',
    //'special' => 1,
    'adminForm' => array(
      'elements' => array(
        array(
          'Text',
          'title',
          array(
            'label' => 'Title',
          )
        ),
        array(
          'Select',
          'max',
          array(
            'label' => 'Max Tab Count',
            'description' => 'Show sub menu at x containers.',
            'default' => 4,
            'multiOptions' => array(
              0 => 0,
              1 => 1,
              2 => 2,
              3 => 3,
              4 => 4,
              5 => 5,
              6 => 6,
              7 => 7,
              8 => 8,
              9 => 9,
            )
          )
        ),
      )
    ),
  ),
  array(
    'title' => 'Content',
    'description' => 'Displays the page\'s primary content. (Not all pages have primary content)',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.content',
  ),
  array(
    'title' => 'Footer Menu',
    'description' => 'Displays the footer menu.',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.menu-footer',
  ),
  array(
    'title' => 'Main Menu',
    'description' => 'Displays the main menu.',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.menu-main',
  ),
  array(
    'title' => 'Mini Menu',
    'description' => 'Displays the mini menu.',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.menu-mini',
  ),
  array(
    'title' => 'Site Logo',
    'description' => 'Display the site logo',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.menu-logo',
  ),
  array(
    'title' => 'Profile Links',
    'description' => 'Displays a user\'s, group\'s, or event\'s links on their profile.',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.profile-links',
    'defaultParams' => array(
      'title' => 'Links',
      'titleCount' => true,
    ),
  ),
  array(
    'title' => 'Statistics',
    'description' => 'Displays the site statistics.',
    'category' => 'Core',
    'type' => 'widget',
    'name' => 'core.statistics',
    'defaultParams' => array(
      'title' => 'Statistics'
    )
  ),
) ?>