<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @author     Jung
 */
?>
<script type="text/javascript">

var updateTextFields = function(media)
{
  var upload_image_element = document.getElementById("upload_image-wrapper");
  upload_image_element.style.display = "none";
  var html_code_element = document.getElementById("html_field-wrapper");
  html_code_element.style.display = "none";
  $('html_code').value = "";

  var submit_wrapper_element = document.getElementById("submit-wrapper");
  submit_wrapper_element.style.display = "none";

  if (media.value == 0)
  {
    upload_image_element.style.display = "block";
    html_code_element.style.display = "none";
    return;
  }

  if (media.value == 1)
  {
    upload_image_element.style.display = "none";
    html_code_element.style.display = "block";
    submit_wrapper_element.style.display = "block";
    return;
  }
}

var preview = function(){
  var code = $('html_code').value;
  var preview = new Element('div', {
    'html': code,
    'styles': {
        'height': 'auto',
        'width' : 'auto'
    }
  });

    console.log(preview.getAttribute('width'));

  Smoothbox.open(preview);
}

en4.core.runonce.add(updateTextFields);

</script>
<h2><?php echo $this->translate("Editing Ad Campaign: ") ?><?php echo $this->campaign->name;?></h2>

<?php if( count($this->navigation) ): ?>
  <div class='tabs'>
    <?php
      // Render the menu
      //->setUlClass()
      echo $this->navigation()->menu()->setContainer($this->navigation)->render()
    ?>
  </div>
<?php endif; ?>

<div class="settings">
  <?php echo $this->form->render($this) ?>
</div>