<?php

class HelloWorld_Form_Create extends Engine_Form
{
  public function init()
  {
    $this
      ->setTitle('Create Hello World')
      ->setDescription('You can create a message to say hello to the world here!')
      ->setAttrib('enctype', 'multipart/form-data');

    $this->addElement('Textarea', 'body', array(
      'label' => 'Message',
      //'required' => true,
      //'allowEmpty' => false,
    ));
    
    $this->addElement('File', 'Filedata', array(
      'label' => 'Add a Photo!',
      'destination' => APPLICATION_PATH.'/public/temporary/',
      'multiFile' => 1,
      'validators' => array(
        array('Count', false, 1),
        array('Size', false, 612000),
        array('Extension', false, 'jpg,jpeg,png,gif'),
      ),
    ));

    $this->addElement('Button', 'submit', array(
      'label' => 'Create Hello World!',
      'type' => 'submit',
    ));
  }
}