<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    HelloWorld
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: IndexController.php 4830 2010-04-07 01:48:37Z john $
 * @author     John Boehr <j@webligo.com>
 */

/**
 * @category   Application_Extensions
 * @package    HelloWorld
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class HelloWorld_AdminSettingsController extends Core_Controller_Action_Admin
{
  public function indexAction()
  {
    $settings = Engine_Api::_()->getApi('settings', 'core');
    $form     = $this->view->form = new HelloWorld_Form_Admin_Hooks();
    $form->getElement('onBeforeUserDelete')->setValue($settings->helloworld_hook_goodbye);

    if ( $this->getRequest()->isPost() && $form->isValid($this->getRequest()->getPost()) ) {
      $settings->helloworld_hook_goodbye = $this->_getParam('onBeforeUserDelete', false);
      $form->addNotice('Settings saved');
    }
  }
}