
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    HelloWorld
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: my.sql 4901 2010-04-09 02:07:39Z john $
 */


-- --------------------------------------------------------

--
-- Table structure for table `engine4_helloworld_helloworlds`
--

DROP TABLE IF EXISTS `engine4_helloworld_helloworlds`;
CREATE TABLE IF NOT EXISTS `engine4_helloworld_helloworlds` (
  `helloworld_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `body` text NOT NULL,
  `photo_id` int(11) NOT NULL default '0',
  `creation_date` datetime NOT NULL,
  PRIMARY KEY  (`helloworld_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ;


-- --------------------------------------------------------

--
-- Dumping data for table `engine4_core_menuitems`
--

INSERT IGNORE INTO `engine4_core_menuitems` (`name`, `module`, `label`, `plugin`, `params`, `menu`, `submenu`, `order`) VALUES
('core_main_hello_world', 'hello-world', 'Hello World', '', '{"route":"default","module":"hello-world"}', 'core_main', '', 9),
('core_admin_main_plugins_hello_world', 'hello-world', 'Hello World', '', '{"route":"admin_default","module":"hello-world","controller":"settings"}', 'core_admin_main_plugins', '', 999);


-- --------------------------------------------------------

--
-- Dumping data for table `engine4_core_modules`
--

INSERT IGNORE INTO `engine4_core_modules` (`name`, `title`, `description`, `version`, `enabled`, `type`) VALUES
('hello-world', 'Hello World', 'Hello World; the skeleton module', '4.0.0', 0, 'extra');


