<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Music
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: settings.tpl 4236 2010-03-10 04:58:27Z alex $
 * @author     Stephen
 */
?>

<h2><?php echo $this->translate("Music Plugin") ?></h2>

<?php if( count($this->navigation) ): ?>
  <div class='tabs'>
    <?php
      echo $this->navigation()->menu()->setContainer($this->navigation)->render()
    ?>
  </div>
<?php endif; ?>

<div class='clear'>
  <div class='settings'>
    <?php echo $this->form->render($this); ?>
  </div>
</div>

<script type="text/javascript">
//<![CDATA[
$('level_id').addEvent('change', function(){
  window.location.href = en4.core.baseUrl + 'admin/music/level/'+this.get('value');
});
$$('input[type=radio]:not([name=moderator])').addEvent('click', function(e){
    $(this).getParent('.form-wrapper').getAllNext(':not([id^=submit])').setStyle('display', ($(this).get('value')>0?'block':'none'));
});
$('view-0').addEvent('click', function(){
    $('create-0').click();
});
if ($type($('moderator-1'))) {
  $('moderator-1').addEvent('click', function(){
      $('create-1').click();
      $('view-1').click();
  });
}
window.addEvent('domready', function(){
  if ($type(console))
      console.log('create-0: %o | view-0: %o', $('create-0').get('checked'), $('view-0').get('checked'));
  if ($('create-0').get('checked'))
      $('create-0').getParent('.form-wrapper').getAllNext(':not([id^=submit])').hide();
      //$$('#max_songs-wrapper, #max_filesize-wrapper, #max_storage-wrapper, #auth_view-wrapper, #auth_comment-wrapper').hide();
  if ($('view-0').get('checked'))
      $('view-0').getParent('.form-wrapper').getAllNext(':not([id^=submit])').hide();
});
//]]>
</script>