<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Video
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: _composeVideo.tpl 5639 2010-05-11 23:55:25Z john $
 * @author     Jung
 */
?>

<?php $this->headScript()->appendFile('application/modules/Video/externals/scripts/composer_video.js') ?>

<script type="text/javascript">
  en4.core.runonce.add(function() {
      composeInstance.addPlugin(new Composer.Plugin.Video({
      title : '<?php echo $this->translate('Add Video') ?>',
      lang : {
        'Select File' : '<?php echo $this->translate('Select File') ?>',
        'cancel' : '<?php echo $this->translate('cancel') ?>',
        'Attach' : '<?php echo $this->translate('Attach') ?>',
        'Loading...' : '<?php echo $this->translate('Loading...') ?>',
        'Choose Source': '<?php echo $this->translate('Choose Source') ?>',
        'My Computer': '<?php echo $this->translate('My Computer') ?>',
        'YouTube': '<?php echo $this->translate('YouTube') ?>',
        'Vimeo': '<?php echo $this->translate('Vimeo') ?>',
        'To upload a video from your computer, please use our full uploader.': '<?php echo $this->translate('To upload a video from your computer, please use our <a href="%1$s">full uploader</a>.', $this->url(array('action' => 'create'), 'video_general')) ?>'
      },
      requestOptions : {
        'url' : '<?php echo $this->baseUrl().'/index.php/video/index/compose-upload/format/json' ?>'
      }
    }));
  });
</script>
